#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	rrd
Summary:	PHP Bindings for rrdtool
Name:		%{php_name}-pecl-%{modname}
Version:	2.0.1
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	b51c619505ac5cc1b76cd35e536de40a
URL:		http://pecl.php.net/package/rrd
%{?with_tests:BuildRequires:    %{php_name}-cli}
BuildRequires:	%{php_name}-devel >= 4:7.0.0
BuildRequires:	rrdtool
BuildRequires:	rrdtool-devel >= 1.3.0
Obsoletes:	php-rrdtool < 1.2-9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Procedural and simple OO wrapper for rrdtool - data logging and
graphing system for time series data.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%if %{with tests}
%{__php} --no-php-ini \
	--define extension=modules/%{modname}.so \
	--modules | grep %{modname}
%endif

%{__make} -C tests/data clean
%{__make} -C tests/data all
%{__make} test NO_INTERACTION=1 | tee rpmtests.log

if grep -q "FAILED TEST" rpmtests.log; then
	for t in tests/*diff; do
		echo "*** FAILED: $(basename $t .diff)"
		diff -u tests/$(basename $t .diff).exp tests/$(basename $t .diff).out || :
	done

	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS LICENSE
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Feb 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-rrd.git;a=log;h=auto/th/php-pecl-rrd-2.0.1-1

* Sun Feb 11 2018 Jan Rękorajski <baggins@pld-linux.org> 4b2ca72
- requires PHP 7.0+

* Sun Feb 11 2018 Jan Rękorajski <baggins@pld-linux.org> de0ea6a
- up to 2.0.1

* Fri Jul 11 2014 Elan Ruusamäe <glen@delfi.ee> d84fc6b
- obsolete php-rrdtool

* Sat Feb 15 2014 Elan Ruusamäe <glen@delfi.ee> 4ab17d6
- BR cli for tests

* Sat Feb 15 2014 Elan Ruusamäe <glen@delfi.ee> eb03a8e
- new, version 1.1.3

